pr def Var_Pinc_UnR_DPIR
    args option
	
quietly { // To obtain random simulations of the standard-deviation of the wage use:  g simu_SD = sqrt( (VAR_ln_wage/(Nemp-1))*rchi2(1) )
local vl_e0 "constant"
local vl_e1 "sexo zona2 tr_edad2 educ quintile_renta"
local vl_e2 "sexo zona2 sector_ind tr_edad2 educ quintile_renta"
local vl_e3 "sexo zona2 actividad tr_edad educ quintile_renta"
local vl_e4 "sexo zona2 quintile_renta"

local vl2_e0 "constant"    // variable i represents var_list above
local vl2_e1 "sexo sector_ind"
local vl2_e2 "sexo zona2 sector_ind tr_edad2 educ"
local vl2_e3 "sexo zona2 actividad tr_edad educ"
local vl2_e4 "sexo zona2 tr_edad2 educ"
local vl2_e5 "sexo zona2 tr_edad2"

g quarter=4
foreach i of numlist 2 1 4 {  // In alternative - 3 2 4 1 5 0
capture drop _merge 
local var_list = "`vl_e`i''"
joinby `var_list' using "$path2b\VAR_WageShock_x`i'.dta", unmatched(master) update  // "$path2b\VAR_WageShock_x`i'_yr.dta"
tab _merge
drop _merge
joinby `var_list' using "$path2b\SE_RepR_x`i'.dta", unmatched(master) update  // "$path2b\SE_RepR_`reg_type'_x`i'_yr.dta"
tab _merge
drop _merge
joinby year quarter `vl2_e`i'' using "$path2b\Vene_x`i'.dta", unmatched(master) update  // "$path2b\SE_RepR_`reg_type'_x`i'_yr.dta"
tab _merge
drop _merge
}
foreach x of varlist SE_unemployed Nemp_ENE RRinc SE_RRinc Kurtosis_ln_wage Cm4_ln_wage MeanG_ln_wage VAR_ln_wage Nemp  {   // SE_ratio_temp_eps
reg `x' i.(`var_list')
predict pr_est, xb
sum `x', d  
replace `x'=min( r(p99), max(r(p1),pr_est) ) if `x'==.  
replace `x'=min( r(p99), max(r(p1),`x') ) if `x'<.
capture drop pr_est* 
}
drop quarter
} //g pr_unemp_w0 = unemployed*sh_inc   //bysort folio: egen pr_unemp_w = total(pr_unemp_w0)

end
