local rdi_c = "debt_pi_ratio"
local rdi_cp = "debt_pi_ratio_T"
local rdi_h = "debt_dt_pi_ratio"
local rci_cp = "rci_pend_75_T"
local rci_c = "rci_pend_75"
local rci_h = "rci_pend_75"
local grains "c h" //`grains' // c h cp 
foreach p of local grains {
local X`p'0 = "unemp_sect ing `rdi_`p'' `rci_`p''"      //local X`p'1 = "unemp_sect ing `rdi_`p''"   //local X`p'8 = "ing `rdi_`p''"				
} // local var_list_pr0 = "ing debt_pi_ratio rci_pend_75 us_rci_75 numh edad hombre_casado genero instituto universidad unemp_sect d_z2 d_cc2"
local ni = 30   //local Xk=0 //foreach Xk of numlist 0 1 8 { //local var_list_pr0 = "`Xc`Xk'' us_rci_75 numh edad hombre_casado instituto universidad d_z2" // genero d_cc2 
local vlX0 = "unemp_sect ing_or debt_pi_ratio rci_pend_75_or us_rci_75_or numh edad hombre_casado instituto universidad d_z2"   // debt_pi_ratio_or unemp_sect_or
local dfVars = "df_TB df_TCC df_Vall df_dna0 df3_dna df_dna_k3 rda"
local Rassets = "valor_vp valor_2pr act_totact"   // "$path4b\\efh_DFVP_Ld.dta"
local Fassets = "total_activosf total_liquidos"   // "$path_bs_do\\FinA\FinAssets_EFH.dta"
local dfVarsT = "df3_dna df_dna_k3 df_TB df_TCC df_Vall"

use "$path_g\\${data_save}_dtbc3.dta", clear 
sum real_assets deuda_total d_dt rda ytot_p_h `Rassets' `Fassets' ing_or ytoth yefec if a1==1 // g yefec = max(0, ytoth - max(0, yai))
sum rFAssetsDebt rLiqFAssetsDebt rTAssetsDebt rRAssetsDebt if a1==1 & year>=2010, d
pwcorr total_activosf total_liquidos rFAssetsDebt rLiqFAssetsDebt if a1==1 & year>=2010 & total_activosf>0 & total_activosf<.
g noLiqAdummy = (total_liquidos==0 | total_liquidos==.)
g noTAdummy = (act_totact==0 | act_totact==.)
quietly {
foreach df of local dfVarsT {  
g `df'_RobC = `df'
}
foreach var of varlist rFAssetsDebt rLiqFAssetsDebt rTAssetsDebt rRAssetsDebt {
sum `var' if a1==1 & `var'>0, d
replace  `var' = min(`var', r(p95)) if `var'>0
}
}
sum rFAssetsDebt rLiqFAssetsDebt rTAssetsDebt rRAssetsDebt if a1==1 & year>=2010, d
save "$path_g\\${data_save}_dtbc3.dta", replace 

run "$path_bs_do\Var_Pinc_UnR_DPIR.do" 
run "$path_bs_do\BS_Var_Pinc_UnR_DPIR.do"   // run "$path_bs_do\BS_Var_Pinc_UnR_DPIR2.do" 
run "$path_bs_do\GenRegM.do" 
run "$path_bs_do\GenRegM2.do" 
run "$path_bs_do\GenRegM3.do" 
local Snr = 1000
local IFbs "keep if a1==1 & cf_dt>0 & cf_dt!=. & d_dna>0 & d_dna<. & cf_dna>0 & cf_dna<. & year>=2010"
local IFbs2 "keep if a1==1 & d_vp>0 & d_vp<. & year>=2010"  //cf_dt>0 & cf_dt!=. & 

local dfVarsC = "df3_dna_RobC df_dna_k3_RobC df_TB_RobC df_TCC_RobC"
local vlX0 = "noLiqAdummy rLiqFAssetsDebt unemp_sect ing_or debt_pi_ratio rci_pend_75_or us_rci_75_or numh edad hombre_casado instituto universidad d_z2" 
local vlV = "noLiqAdummy rLiqFAssetsDebt ing_or rda debt_pi_ratio rci_pend_75_or numh edad hombre_casado genero instituto universidad unemp_sect d_z2"
foreach df of local dfVarsC {  
GenRegM2 `Snr' probit `df' "`vlX0'" "`IFbs'"
use "$path_g\\BSprob0_`df'.dta", clear
log using "$path_g\BSprob0_`df'_sum.log", replace
bysort CoefN: sum Beta SEbeta, d
log close
collapse Beta SEbeta, by(CoefN) 
g pvalue=(1-normal(abs(Beta/SEbeta)))*2
save "$path_g\\BSmeanCoefs0_`df'.dta", replace
}
foreach df of local dfVarsC {  
GenRegM3 `Snr' probit `df' "`vlX0'" "`IFbs'"
use "$path_g\\BS2prob_`df'.dta", clear
log using "$path_g\BS2prob_`df'_sum.log", replace
bysort CoefN: sum Beta SEbeta, d
log close
collapse Beta SEbeta, by(CoefN)
g pvalue=(1-normal(abs(Beta/SEbeta)))*2
save "$path_g\\BS2meanCoefs_`df'.dta", replace
}
local df = "df_Vall_RobC"
GenRegM2 `Snr' probit `df' "`vlV'" "`IFbs2'"
use "$path_g\\BSprob0_`df'.dta", clear
log using "$path_g\BSprob0_`df'_sum.log", replace
bysort CoefN: sum Beta SEbeta, d
log close
collapse Beta SEbeta, by(CoefN) 
g pvalue=(1-normal(abs(Beta/SEbeta)))*2
save "$path_g\\BSmeanCoefs0_`df'.dta", replace
GenRegM3 `Snr' probit `df' "`vlV'" "`IFbs2'"
use "$path_g\\BS2prob_`df'.dta", clear
log using "$path_g\BS2prob_`df'_sum.log", replace
bysort CoefN: sum Beta SEbeta, d
log close
collapse Beta SEbeta, by(CoefN)
g pvalue=(1-normal(abs(Beta/SEbeta)))*2
save "$path_g\\BS2meanCoefs_`df'.dta", replace
