local J1 "D_asalariado_contrato_ncp_np" 
local J2 "D_asalariado_grande_emp50" 
local J3 "D_trab_Tbaja_Qmashoras" 
local J4 "D_trab_buscaMejorTrabajo"

g year_p=2019
g month_p=10
joinby year_p month_p sexo tr_edad educ using "$path_gCJE\SE_Covid_perLabM.dta", unmatched(master) update
tab _merge
sum hor_efe-jobfind
drop _merge // d_unemployed_${Ii}_WH d_unemployed_${Ii} pr_jobfind_
local dfVars "hor_efe unemployed layoffs jobfind"   //local dfVars0 "hor_hab hor_efe"
local dfVars1 "unemployed layoffs"
local dfVars2 "jobfind hor_efe"
quietly {
foreach df of local dfVars { 
rename `df' ES_`df'
}
foreach num of numlist 11/12 1 2 {
if `num'<9 {
replace year_p=2020
}
replace month_p=`num'   //noisily display("`num'")
joinby year_p month_p sexo tr_edad educ using "$path_gCJE\SE_Covid_perLabM.dta", unmatched(master) update
foreach df of local dfVars1 { 
replace ES_`df' = max(`df',ES_`df')
}
foreach df of local dfVars2 { 
replace ES_`df' = min(`df',ES_`df')
}
drop _merge `dfVars'
}
bysort folio_efh year_efh: egen ES_unH0 = mean(ES_unemployed)
g var0 = sh_inc*ES_unemployed
bysort folio_efh year_efh: egen ES_unH = mean(var0)
replace d_unemployed_80_WH = max(d_unemployed_80_WH, ES_unH0, ES_unH)
replace d_unemployed_80 = max(d_unemployed_80, ES_unemployed)
replace pr_jobfind_80 = min(pr_jobfind_80, ES_jobfind)
foreach d of numlist 1 3 4 {  //  Shocks for those who keep their jobs //desem==0 & 
replace `J`d'' = min(1, `J`d''*max(1, 1/ES_hor_efe )) if `J`d''<.
} 
drop var0 ES_unH0 ES_unH //year_p month_p  //ES_*
sum d_unemployed_80_WH d_unemployed_80 pr_jobfind_80 d_unemployed_85_WH d_unemployed_85 pr_jobfind_85
replace d_unemployed_80_WH = max(d_unemployed_80_WH, d_unemployed_85_WH)
replace d_unemployed_80 = max(d_unemployed_80, d_unemployed_85)
replace pr_jobfind_80 = min(pr_jobfind_80, pr_jobfind_85)
sum d_unemployed_80_WH d_unemployed_80 pr_jobfind_80
}
//   //
