local J1 "D_asalariado_contrato_ncp_np" 
local J2 "D_asalariado_grande_emp50" 
local J3 "D_trab_Tbaja_Qmashoras" 
local J4 "D_trab_buscaMejorTrabajo"

local shi = (${Ii}-55)/(100-55)
forv d=1/4 {  //  Shocks for those who keep their jobs //desem==0 & 
g J0 = uniform() if simul_unemp!=1 & edad>18 & edad<65 // these stats were multiplied by 100 to make percentages
g JS`d' = (J0<`shi'*0.01*`J`d'') if J0<. & `J`d''<.
drop J0
}  //  //  Income Loss for the employed
capture drop ytoth_loss ytoth_loss_yr adj adj2
capture drop ytoth_loss ytoth_loss_yr adj2
capture drop ytoth_loss ytoth_loss_yr 
replace ytot_ind_loss = max(0,ytot_ind_loss) + max(0,ytot_ind_original)*0.20 if JS1==1 // 20% income
replace ytot_ind_loss = max(0,ytot_ind_loss) + max(0,ytot_ind_original)*0.15 if JS2==1 & JS1==0 // 15% income
replace ytot_ind_loss = max(0,ytot_ind_loss) + max(0,ytot_ind_original)*0.10 if JS3==1 & JS2==0 & JS1==0 // 10% income
replace ytot_ind_loss = max(0,ytot_ind_loss) + max(0,ytot_ind_original)*0.10 if JS4==1 & JS3==0 & JS2==0 & JS1==0 // 10% income

replace ytot_ind_loss_yr = max(0,ytot_ind_loss_yr) + max(0,ytot_ind_original)*0.20*0.5 if JS1==1 
replace ytot_ind_loss_yr = max(0,ytot_ind_loss_yr) + max(0,ytot_ind_original)*0.15*0.5 if JS2==1 & JS1==0 
replace ytot_ind_loss_yr = max(0,ytot_ind_loss_yr) + max(0,ytot_ind_original)*0.10*0.5 if JS3==1 & JS2==0 & JS1==0 
replace ytot_ind_loss_yr = max(0,ytot_ind_loss_yr) + max(0,ytot_ind_original)*0.10*0.5 if JS4==1 & JS3==0 & JS2==0 & JS1==0 

bysort year_efh folio_efh: egen ytoth_loss = total(ytot_ind_loss)
bysort year_efh folio_efh: egen ytoth_loss_yr = total(ytot_ind_loss_yr)
g ing_shock=invnormal(uniform())*sd_ln_inc_sect if a1==1   // *(1+`shi')
replace ing_shock = min(2, max(0,ing_shock)) if a1==1
replace ing = max(0, ln( exp(ing) - ytoth_loss) )  //max(0, ln( exp(ing_original) - ytoth_loss) )  //, recalculate (ing), rci
replace ing = max(0,ing-ing_shock) if a1==1

g adj=max(1, exp(ing_original)/exp(ing)) if a1==1
g adj2=max(1, 4*exp(ing_original)/ (4*exp(ing_original)-ytoth_loss_yr) )   if a1==1
replace adj2=adj2*exp( (1/2)*ing_shock ) if a1==1
replace adj2=adj2*max(1,unemp_sect/unemp_sect_original) if a1==1 
replace adj=min(adj,5) if a1==1
replace adj2=min(adj,adj2,5) if a1==1
replace rci_pend_75 = min( 1.5, rci_pend_75_original*adj ) if rci_pend_75<. //min( 0.75, rci_pend_75_original*adj )
replace debt_pi_ratio = min(2, debt_pi_ratio_original*adj2) if debt_pi_ratio<. //min(1,debt_pi_ratio*adj)
capture drop JS1 JS2 JS3 JS4 ing_shock adj adj2  //   //  //
